Guides & Tutorials8.8 UpdateTroubleshootingThe file /path/filename.php encoded as type [1/72] cannot be decoded by this version of the ionCube Loader.

The file /path/filename.php encoded as type [1/72] cannot be decoded by this version of the ionCube Loader.

Symptom

After switching to PHP 8.1, you may see an ionCube LoaderĀ® error when accessing certain parts of WHMCS:

The file /home/username/public_html/whmcs/modules/gateways/paypalexpress.php  encoded as type [1/72] cannot be decoded by this version of the ionCube Loader.  in Unknown on line 0

Cause

In this error, the file's PHP source code is encoded and requires the correct version of ionCube Loader to successfully decode it. Usually, the file uses a version of the ionCube Loader for PHP 7 or earlier and cannot use ionCube Loader for PHP 8.1.

Solution

If the file in the error message is part of an after-market module or customization that you need to continue using, contact the original vendor of the file for an update that is compatible with PHP 8.1.

If you do not need the file in the error message, remove it. 

The PHP Version Compatibility tool can scan for incompatible files:

1. Go to Utilities > System > PHP Version Compatibility.

2. Click Scan.

3.  Click Incompatible Encoding to view a list of files that the selected PHP version cannot decode.

4. In your preferred FTP client, go to the location that appears in the error message. In the above example, this is  /public_html/whmcs/modules/gateways/.

paypalexpress.php

5. Delete the file that appears in the error message. In this example, this is paypalexpress.php.

6. In WHMCS, reload the affected page again.

7. If you see another error for a different file, repeat the process for each file until the page loads correctly.

For more information, see PHP Migration Guide and How to use WHMCS with PHP 8.1.